Bug 236322 - dns/yadifa: Fix installation of the sample config
Summary: dns/yadifa: Fix installation of the sample config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://www.yadifa.eu/
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-06 15:21 UTC by Leo Vandewoestijne
Modified: 2019-03-11 03:33 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
Yadifa fix sample (1.29 KB, text/plain)
2019-03-06 15:21 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2019-03-06 15:21:50 UTC
Created attachment 202653 [details]
Yadifa fix sample

After last upgrade of Yadifa the filename of the yadifad.conf example changed in the source. This patch fixes it.

I did not add PORTREVISION on purpose; I see no need to force existing users to upgrade.
Comment 1 Leo Vandewoestijne 2019-03-06 15:22:50 UTC
Comment on attachment 202653 [details]
Yadifa fix sample

--- yadifa.orig/Makefile	2019-03-06 14:21:31.457237000 +0000
+++ yadifa/Makefile	2019-03-06 15:06:06.146699000 +0000
@@ -46,7 +46,7 @@
 	@cd ${WRKSRC} && ${MAKE_CMD} features
 
 post-install:
-	${MV} ${STAGEDIR}${PREFIX}/etc/yadifad.conf \
+	${CP} ${WRKSRC}/etc/yadifad.conf.example \
 		${STAGEDIR}${PREFIX}/etc/yadifad.conf.sample
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
Comment 2 Leo Vandewoestijne 2019-03-06 15:24:46 UTC
The initial submitted patch was a previous patch.
The edit at 15:22:50 was what I meant to submit.
Comment 3 Kurt Jaeger freebsd_committer 2019-03-10 19:48:10 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-03-10 19:48:15 UTC
A commit references this bug:

Author: pi
Date: Sun Mar 10 19:48:01 UTC 2019
New revision: 495318
URL: https://svnweb.freebsd.org/changeset/ports/495318

Log:
  dns/yadifa: fix installation of the sample config

  PR:		236322
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)

Changes:
  head/dns/yadifa/Makefile